org.gcube.datacatalogue.grsf_manage_widget.client

## Interface GRSFManageWidgetAsync

    public interface GRSFManageWidgetAsync

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `getProductBeanById(String identifier, com.google.gwt.user.client.rpc.AsyncCallback<ManageProductBean> callback)`
`void` `notifyProductUpdate(ManageProductBean bean, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`

### Method Detail

#### notifyProductUpdate

    void notifyProductUpdate(ManageProductBean bean,
                             com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

#### getProductBeanById

    void getProductBeanById(String identifier,
                            com.google.gwt.user.client.rpc.AsyncCallback<ManageProductBean> callback)